package com.ruoyi.hotel.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 消费记录对象 sellbills
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public class Sellbills extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 单据编号
     */
    private String billNo;

    /**
     * 主单据编号
     */
    @Excel(name = "主单据编号")
    private String pbillNo;

    /**
     * $column.columnComment
     */
    @Excel(name = "主单据编号")
    private Long accYear;

    /**
     * $column.columnComment
     */
    @Excel(name = "主单据编号")
    private Integer accMonth;

    /**
     * 单据创建日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "单据创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createDate;

    /**
     * 业务发生日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务发生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date billDate;

    /**
     * 业务提交日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务提交日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyDate;

    /**
     * 业务审核日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务审核日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditDate;

    /**
     * 业务记账日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "业务记账日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date postDate;

    /**
     * 制单人
     */
    @Excel(name = "制单人")
    private String userBane;

    /**
     * 活动号
     */
    @Excel(name = "活动号")
    private Long actId;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Long billStatus;

    /**
     * 经办人
     */
    @Excel(name = "经办人")
    private Long transActid;

    /**
     * 参考号
     */
    @Excel(name = "参考号")
    private String refNo;

    /**
     * $column.columnComment
     */
    @Excel(name = "参考号")
    private Long srcActid;

    /**
     * $column.columnComment
     */
    @Excel(name = "参考号")
    private Long srcEntityId;

    /**
     * 门店
     */
    @Excel(name = "门店")
    private Long deptId;

    /**
     * 打印时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "打印时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date printTime;

    /**
     * 打印次数
     */
    @Excel(name = "打印次数")
    private Long printsn;

    /**
     * 打印人
     */
    @Excel(name = "打印人")
    private String printOpname;

    /**
     * 卡芯片号
     */
    @Excel(name = "卡芯片号")
    private Long cardId;

    /**
     * 卡印刷号
     */
    @Excel(name = "卡印刷号")
    private String cardNo;

    /**
     * 卡名称
     */
    @Excel(name = "卡名称")
    private Long itemId;

    /**
     * 卡类型
     */
    @Excel(name = "卡类型")
    private String itemType;

    /**
     * 储值金额/次数
     */
    @Excel(name = "储值金额/次数")
    private Long vipDr;

    /**
     * 消费金额/次数
     */
    @Excel(name = "消费金额/次数")
    private Long vipCr;

    /**
     * 消费前余额
     */
    @Excel(name = "消费前余额")
    private Long vipBlc;

    /**
     * 客户名
     */
    @Excel(name = "客户名")
    private String corpName;

    /**
     * 客户联系方式
     */
    @Excel(name = "客户联系方式")
    private String corpTel;

    /**
     * 客户地址
     */
    @Excel(name = "客户地址")
    private String corpAddr;

    /**
     * 客户身份证号码
     */
    @Excel(name = "客户身份证号码")
    private String corpidCardno;

    /**
     * 项目
     */
    @Excel(name = "项目")
    private String remarks;

    /**
     * 操作备注
     */
    @Excel(name = "操作备注")
    private String allNotes;

    /**
     * 查询时间区间
     */
    private List<String> timeInterval;
    public void settimeInterval(List<String> timeInterval) {
        this.timeInterval = timeInterval;
    }
    public List<String> gettimeInterval() {
        return timeInterval;
    }

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setPbillNo(String pbillNo) {
        this.pbillNo = pbillNo;
    }

    public String getPbillNo() {
        return pbillNo;
    }

    public void setAccYear(Long accYear) {
        this.accYear = accYear;
    }

    public Long getAccYear() {
        return accYear;
    }

    public void setAccMonth(Integer accMonth) {
        this.accMonth = accMonth;
    }

    public Integer getAccMonth() {
        return accMonth;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setBillDate(Date billDate) {
        this.billDate = billDate;
    }

    public Date getBillDate() {
        return billDate;
    }

    public void setApplyDate(Date applyDate) {
        this.applyDate = applyDate;
    }

    public Date getApplyDate() {
        return applyDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }

    public Date getAuditDate() {
        return auditDate;
    }

    public void setPostDate(Date postDate) {
        this.postDate = postDate;
    }

    public Date getPostDate() {
        return postDate;
    }

    public void setUserBane(String userBane) {
        this.userBane = userBane;
    }

    public String getUserBane() {
        return userBane;
    }

    public void setActId(Long actId) {
        this.actId = actId;
    }

    public Long getActId() {
        return actId;
    }

    public void setBillStatus(Long billStatus) {
        this.billStatus = billStatus;
    }

    public Long getBillStatus() {
        return billStatus;
    }

    public void setTransActid(Long transActid) {
        this.transActid = transActid;
    }

    public Long getTransActid() {
        return transActid;
    }

    public void setRefNo(String refNo) {
        this.refNo = refNo;
    }

    public String getRefNo() {
        return refNo;
    }

    public void setSrcActid(Long srcActid) {
        this.srcActid = srcActid;
    }

    public Long getSrcActid() {
        return srcActid;
    }

    public void setSrcEntityId(Long srcEntityId) {
        this.srcEntityId = srcEntityId;
    }

    public Long getSrcEntityId() {
        return srcEntityId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setPrintTime(Date printTime) {
        this.printTime = printTime;
    }

    public Date getPrintTime() {
        return printTime;
    }

    public void setPrintsn(Long printsn) {
        this.printsn = printsn;
    }

    public Long getPrintsn() {
        return printsn;
    }

    public void setPrintOpname(String printOpname) {
        this.printOpname = printOpname;
    }

    public String getPrintOpname() {
        return printOpname;
    }

    public void setCardId(Long cardId) {
        this.cardId = cardId;
    }

    public Long getCardId() {
        return cardId;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public String getItemType() {
        return itemType;
    }

    public void setVipDr(Long vipDr) {
        this.vipDr = vipDr;
    }

    public Long getVipDr() {
        return vipDr;
    }

    public void setVipCr(Long vipCr) {
        this.vipCr = vipCr;
    }

    public Long getVipCr() {
        return vipCr;
    }

    public void setVipBlc(Long vipBlc) {
        this.vipBlc = vipBlc;
    }

    public Long getVipBlc() {
        return vipBlc;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpTel(String corpTel) {
        this.corpTel = corpTel;
    }

    public String getCorpTel() {
        return corpTel;
    }

    public void setCorpAddr(String corpAddr) {
        this.corpAddr = corpAddr;
    }

    public String getCorpAddr() {
        return corpAddr;
    }

    public void setCorpidCardno(String corpidCardno) {
        this.corpidCardno = corpidCardno;
    }

    public String getCorpidCardno() {
        return corpidCardno;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setAllNotes(String allNotes) {
        this.allNotes = allNotes;
    }

    public String getAllNotes() {
        return allNotes;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("billNo", getBillNo())
                .append("pbillNo", getPbillNo())
                .append("accYear", getAccYear())
                .append("accMonth", getAccMonth())
                .append("createDate", getCreateDate())
                .append("billDate", getBillDate())
                .append("applyDate", getApplyDate())
                .append("auditDate", getAuditDate())
                .append("postDate", getPostDate())
                .append("userBane", getUserBane())
                .append("actId", getActId())
                .append("billStatus", getBillStatus())
                .append("transActid", getTransActid())
                .append("refNo", getRefNo())
                .append("srcActid", getSrcActid())
                .append("srcEntityId", getSrcEntityId())
                .append("deptId", getDeptId())
                .append("printTime", getPrintTime())
                .append("printsn", getPrintsn())
                .append("printOpname", getPrintOpname())
                .append("cardId", getCardId())
                .append("cardNo", getCardNo())
                .append("itemId", getItemId())
                .append("itemType", getItemType())
                .append("vipDr", getVipDr())
                .append("vipCr", getVipCr())
                .append("vipBlc", getVipBlc())
                .append("corpName", getCorpName())
                .append("corpTel", getCorpTel())
                .append("corpAddr", getCorpAddr())
                .append("corpidCardno", getCorpidCardno())
                .append("remarks", getRemarks())
                .append("allNotes", getAllNotes())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
