package com.ruoyi.hotel.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 会员卡信息对象 svip_iccards
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public class SvipIccards extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 卡芯片号
     */
    private Long cardId;

    /**
     * 卡印刷号
     */
    @Excel(name = "卡印刷号")
    private String cardNo;

    /**
     * 卡名称
     */
    @Excel(name = "卡名称")
    private Long itemId;

    /**
     * C储值卡T次卡
     */
    @Excel(name = "C储值卡T次卡")
    private String itemType;

    /**
     * 储值金额、次数
     */
    @Excel(name = "储值金额、次数")
    private Long vipDr;

    /**
     * 消费金额、次数
     */
    @Excel(name = "消费金额、次数")
    private Long vipCr;

    /**
     * 剩余金额、次数
     */
    @Excel(name = "剩余金额、次数")
    private Long vipBlc;

    /**
     * 状态N新卡A开卡S停用
     */
    @Excel(name = "状态N新卡A开卡S停用")
    private String status;

    /**
     * 初始化日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "初始化日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date initDate;

    /**
     * 初始化操作人
     */
    @Excel(name = "初始化操作人")
    private String initOpname;

    /**
     * 客户名
     */
    @Excel(name = "客户名")
    private String corpName;

    /**
     * 客户联系方式
     */
    @Excel(name = "客户联系方式")
    private String corpTel;

    /**
     * 客户地址
     */
    @Excel(name = "客户地址")
    private String corpAddr;

    /**
     * 客户身份证号码
     */
    @Excel(name = "客户身份证号码")
    private String corpIdcardNo;

    /**
     * 有效起始
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效起始", width = 30, dateFormat = "yyyy-MM-dd")
    private Date valIdFrom;

    /**
     * 有效期止
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期止", width = 30, dateFormat = "yyyy-MM-dd")
    private Date valIdTo;

    /**
     * 发卡日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发卡日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date grantDate;

    /**
     * 发卡人
     */
    @Excel(name = "发卡人")
    private Long grantId;

    /**
     * 发卡人姓名
     */
    @Excel(name = "发卡人姓名")
    private String grantOpname;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCardId(Long cardId) {
        this.cardId = cardId;
    }

    public Long getCardId() {
        return cardId;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemType(String itemType) {
        this.itemType = itemType;
    }

    public String getItemType() {
        return itemType;
    }

    public void setVipDr(Long vipDr) {
        this.vipDr = vipDr;
    }

    public Long getVipDr() {
        return vipDr;
    }

    public void setVipCr(Long vipCr) {
        this.vipCr = vipCr;
    }

    public Long getVipCr() {
        return vipCr;
    }

    public void setVipBlc(Long vipBlc) {
        this.vipBlc = vipBlc;
    }

    public Long getVipBlc() {
        return vipBlc;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setInitDate(Date initDate) {
        this.initDate = initDate;
    }

    public Date getInitDate() {
        return initDate;
    }

    public void setInitOpname(String initOpname) {
        this.initOpname = initOpname;
    }

    public String getInitOpname() {
        return initOpname;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpTel(String corpTel) {
        this.corpTel = corpTel;
    }

    public String getCorpTel() {
        return corpTel;
    }

    public void setCorpAddr(String corpAddr) {
        this.corpAddr = corpAddr;
    }

    public String getCorpAddr() {
        return corpAddr;
    }

    public void setCorpIdcardNo(String corpIdcardNo) {
        this.corpIdcardNo = corpIdcardNo;
    }

    public String getCorpIdcardNo() {
        return corpIdcardNo;
    }

    public void setValIdFrom(Date valIdFrom) {
        this.valIdFrom = valIdFrom;
    }

    public Date getValIdFrom() {
        return valIdFrom;
    }

    public void setValIdTo(Date valIdTo) {
        this.valIdTo = valIdTo;
    }

    public Date getValIdTo() {
        return valIdTo;
    }

    public void setGrantDate(Date grantDate) {
        this.grantDate = grantDate;
    }

    public Date getGrantDate() {
        return grantDate;
    }

    public void setGrantId(Long grantId) {
        this.grantId = grantId;
    }

    public Long getGrantId() {
        return grantId;
    }

    public void setGrantOpname(String grantOpname) {
        this.grantOpname = grantOpname;
    }

    public String getGrantOpname() {
        return grantOpname;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("cardId", getCardId())
                .append("cardNo", getCardNo())
                .append("itemId", getItemId())
                .append("itemType", getItemType())
                .append("vipDr", getVipDr())
                .append("vipCr", getVipCr())
                .append("vipBlc", getVipBlc())
                .append("status", getStatus())
                .append("initDate", getInitDate())
                .append("initOpname", getInitOpname())
                .append("corpName", getCorpName())
                .append("corpTel", getCorpTel())
                .append("corpAddr", getCorpAddr())
                .append("corpIdcardNo", getCorpIdcardNo())
                .append("valIdFrom", getValIdFrom())
                .append("valIdTo", getValIdTo())
                .append("grantDate", getGrantDate())
                .append("grantId", getGrantId())
                .append("grantOpname", getGrantOpname())
                .append("remarks", getRemarks())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
