package com.ruoyi.hotel.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.hotel.domain.Sellbills;

/**
 * 消费记录Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public interface SellbillsMapper {
    /**
     * 查询消费记录
     *
     * @param id 消费记录ID
     * @return 消费记录
     */
    public Sellbills selectSellbillsById(Long id);

    /**
     * 查询消费记录列表
     *
     * @param sellbills 消费记录
     * @return 消费记录集合
     */
    public List<Sellbills> selectSellbillsList(Sellbills sellbills);

    /**
     * 新增消费记录
     *
     * @param sellbills 消费记录
     * @return 结果
     */
    public int insertSellbills(Sellbills sellbills);

    /**
     * 修改消费记录
     *
     * @param sellbills 消费记录
     * @return 结果
     */
    public int updateSellbills(Sellbills sellbills);

    /**
     * 删除消费记录
     *
     * @param id 消费记录ID
     * @return 结果
     */
    public int deleteSellbillsById(Long id);

    /**
     * 批量删除消费记录
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSellbillsByIds(Long[] ids);

    List<Map<String, Object>> selectSellbillsMapList(Sellbills sellbills);
}
