package com.ruoyi.hotel.mapper;

import java.util.List;

import com.ruoyi.hotel.domain.SvipIccards;

/**
 * 会员卡信息Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public interface SvipIccardsMapper {
    /**
     * 查询会员卡信息
     *
     * @param id 会员卡信息ID
     * @return 会员卡信息
     */
    public SvipIccards selectSvipIccardsById(Long id);

    /**
     * 查询会员卡信息列表
     *
     * @param svipIccards 会员卡信息
     * @return 会员卡信息集合
     */
    public List<SvipIccards> selectSvipIccardsList(SvipIccards svipIccards);

    /**
     * 新增会员卡信息
     *
     * @param svipIccards 会员卡信息
     * @return 结果
     */
    public int insertSvipIccards(SvipIccards svipIccards);

    /**
     * 修改会员卡信息
     *
     * @param svipIccards 会员卡信息
     * @return 结果
     */
    public int updateSvipIccards(SvipIccards svipIccards);

    /**
     * 删除会员卡信息
     *
     * @param id 会员卡信息ID
     * @return 结果
     */
    public int deleteSvipIccardsById(Long id);

    /**
     * 批量删除会员卡信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSvipIccardsByIds(Long[] ids);
}
