package com.ruoyi.hotel.mapper;

import java.util.List;

import com.ruoyi.hotel.domain.SvipIccards;
import com.ruoyi.hotel.domain.SvipItems;

/**
 * 会员卡类型Mapper接口
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public interface SvipItemsMapper {
    /**
     * 查询会员卡类型
     *
     * @param itemId 会员卡类型ID
     * @return 会员卡类型
     */
    public SvipItems selectSvipItemsById(Long itemId);

    /**
     * 查询会员卡类型列表
     *
     * @param svipItems 会员卡类型
     * @return 会员卡类型集合
     */
    public List<SvipItems> selectSvipItemsList(SvipItems svipItems);

    /**
     * 新增会员卡类型
     *
     * @param svipItems 会员卡类型
     * @return 结果
     */
    public int insertSvipItems(SvipItems svipItems);

    /**
     * 修改会员卡类型
     *
     * @param svipItems 会员卡类型
     * @return 结果
     */
    public int updateSvipItems(SvipItems svipItems);

    /**
     * 删除会员卡类型
     *
     * @param itemId 会员卡类型ID
     * @return 结果
     */
    public int deleteSvipItemsById(Long itemId);

    /**
     * 批量删除会员卡类型
     *
     * @param itemIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSvipItemsByIds(Long[] itemIds);
}
