package com.ruoyi.hotel.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.hotel.domain.Sellbills;
import com.ruoyi.hotel.domain.SvipIccards;

/**
 * 消费记录Service接口
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public interface ISellbillsService {
    /**
     * 查询消费记录
     *
     * @param id 消费记录ID
     * @return 消费记录
     */
    public Sellbills selectSellbillsById(Long id);

    /**
     * 查询消费记录列表
     *
     * @param sellbills 消费记录
     * @return 消费记录集合
     */
    public List<Sellbills> selectSellbillsList(Sellbills sellbills);

    /**
     * 查询消费记录列表
     *
     * @param sellbills 消费记录
     * @return 消费记录集合
     */
    List<Map<String, Object>> selectSellMapList(Sellbills sellbills);

    /**
     * 新增消费记录
     *
     * @param sellbills 消费记录
     * @return 结果
     */
    public int insertSellbills(Sellbills sellbills);

    /**
     * 修改消费记录
     *
     * @param sellbills 消费记录
     * @return 结果
     */
    public int updateSellbills(Sellbills sellbills);

    /**
     * 批量删除消费记录
     *
     * @param ids 需要删除的消费记录ID
     * @return 结果
     */
    public int deleteSellbillsByIds(Long[] ids);

    /**
     * 删除消费记录信息
     *
     * @param id 消费记录ID
     * @return 结果
     */
    public int deleteSellbillsById(Long id);

    AjaxResult svipCardInvalid(SvipIccards svipIccardsDto, SysUser user);

    AjaxResult svipChange(SvipIccards svipIccardsDto, SysUser user);
}
