package com.ruoyi.hotel.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.hotel.domain.SvipIccards;
import com.ruoyi.system.domain.SysConfig;

/**
 * 会员卡信息Service接口
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public interface ISvipIccardsService {
    /**
     * 查询会员卡信息
     *
     * @param id 会员卡信息ID
     * @return 会员卡信息
     */
    public SvipIccards selectSvipIccardsById(Long id);

    /**
     * 查询会员卡信息列表
     *
     * @param svipIccards 会员卡信息
     * @return 会员卡信息集合
     */
    public List<SvipIccards> selectSvipIccardsList(SvipIccards svipIccards);

    /**
     * 新增会员卡信息
     *
     * @param svipIccards 会员卡信息
     * @param user
     * @return 结果
     */
    public AjaxResult insertSvipIccards(SvipIccards svipIccards, SysUser user);

    /**
     * 修改会员卡信息
     *
     * @param svipIccards 会员卡信息
     * @return 结果
     */
    public int updateSvipIccards(SvipIccards svipIccards);

    /**
     * 批量删除会员卡信息
     *
     * @param ids 需要删除的会员卡信息ID
     * @return 结果
     */
    public int deleteSvipIccardsByIds(Long[] ids);

    /**
     * 删除会员卡信息信息
     *
     * @param id 会员卡信息ID
     * @return 结果
     */
    public int deleteSvipIccardsById(Long id);

    AjaxResult selectionPeriod(SysConfig sysConfigDto);

    AjaxResult openCard(SvipIccards svipIccardsDto, SysUser user);

    AjaxResult svipExtension(SvipIccards svipIccardsDto, SysUser user);

    AjaxResult querySvipStatus(SvipIccards svipIccardsDto);

    AjaxResult querySvipIccardsVip(SvipIccards svipIccardsDto, SysUser user);
}
