package com.ruoyi.hotel.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.hotel.domain.SvipItems;

/**
 * 会员卡类型Service接口
 *
 * @author ruoyi
 * @date 2021-02-23
 */
public interface ISvipItemsService {
    /**
     * 查询会员卡类型
     *
     * @param itemId 会员卡类型ID
     * @return 会员卡类型
     */
    public SvipItems selectSvipItemsById(Long itemId);

    /**
     * 查询会员卡类型列表
     *
     * @param svipItems 会员卡类型
     * @return 会员卡类型集合
     */
    public List<SvipItems> selectSvipItemsList(SvipItems svipItems);

    /**
     * 新增会员卡类型
     *
     * @param svipItems 会员卡类型
     * @return 结果
     */
    public int insertSvipItems(SvipItems svipItems);

    /**
     * 修改会员卡类型
     *
     * @param svipItems 会员卡类型
     * @return 结果
     */
    public int updateSvipItems(SvipItems svipItems);

    /**
     * 批量删除会员卡类型
     *
     * @param itemIds 需要删除的会员卡类型ID
     * @return 结果
     */
    public int deleteSvipItemsByIds(Long[] itemIds);

    /**
     * 删除会员卡类型信息
     *
     * @param itemId 会员卡类型ID
     * @return 结果
     */
    public int deleteSvipItemsById(Long itemId);

    List<SvipItems> selectSvipItemsMapList(SvipItems svipItems);

    AjaxResult bookkeepingSales(String tdSalesDto, String svipIccardsDto, SysUser user);
}
